Skip to main content
PUT

NIC validations

  1. The transporter can be updated for the e-way bill only by the current transporter. If transporter is not assigned, then the generator can update
  2. Transporter ID should be valid GSTIN or TRANSIN
  3. Transporter can be updated only if the e-way bill is active, that is, not cancelled
  4. Transporter can be updated only if the e-way bill is within validity period, that is, validity is not expired.

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Path Parameters

ewb_no
string
required

Body

application/json

E-Way Bill schema.

ewbNo
number
required

EwayBill Number

transporterId
string
required

15 Digit Transporter GSTIN/TRANSIN

Pattern: [0-9]{2}[0-9|A-Z]{13}

Response

200 - application/json

200 Transporter updated / 222 Invalid transporter id / 446 Transport details cannot be updated as EWB generated from NIC1

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required